property_list_service_client_free
property_list_service_client_new
property_list_service_client_t
property_list_service_disable_ssl
property_list_service_enable_ssl
property_list_service_error_t
property_list_service_get_service_client
property_list_service_receive_plist
property_list_service_receive_plist_with_timeout
property_list_service_send_binary_plist
property_list_service_send_xml_plist

## property_list_service_client_new()

LIBIMOBILEDEVICE_API property_list_service_error_t property_list_service_client_new | ( | idevice_t | device,
|  | lockdownd_service_descriptor_t | service,
|  | property_list_service_client_t * | client )

Creates a new property list service for the specified port.

Parameters

  device | The device to connect to.
  service | The service descriptor returned by lockdownd_start_service.
  client | Pointer that will be set to a newly allocated property_list_service_client_t upon successful return.

Returns
  PROPERTY_LIST_SERVICE_E_SUCCESS on success, PROPERTY_LIST_SERVICE_E_INVALID_ARG when one of the arguments is invalid, or PROPERTY_LIST_SERVICE_E_MUX_ERROR when connecting to the device failed.